/*
 * @Author: 7gp.lien 
 * @Date: 2018-04-24 14:04:08 
 * @Last Modified by: 7gp.lien
 * @Last Modified time: 2018-05-02 09:09:06
 */

#ifndef QGPJOYSTICK_B_H
#define QGPJOYSTICK_B_H

#include "Arduino.h"   
#include <MsTimer2.h>   
#include "QGPArmbot.h"

#define STK_LX 0 
#define STK_LY 1
#define STK_RX 3
#define STK_RY 2

#define BT_A 2
#define BT_B 4

#define TIME_2S 200

#define LED_PIN 3

//extern boolean isLEDBlink;

class QGPJoystickB
{
//  private:
//     boolean isLEDBlink;
//     int ledIDLE;
  public:
    void begin();

    int Analog(int _axis);

    boolean ButtonALongPressed();
    boolean ButtonPressed(unsigned int);  //will be TRUE if button was JUST pressed
    boolean ButtonReleased(unsigned int); //will be TRUE if button was JUST released
    void ledOff();
    void ledOn();
    void ledBlink(int _idle=500);
};

#endif 